Log In  
Page:
1
2

I don't have this kit, but big ups for supporting it. I use GPDWin2, the same thing but windows and expensive.

P#93691 2021-06-18 08:31

I can't seem to get update to work. It says the zip is not valid (or doesn't exist, but I can see the file with "dir"). Any ideas?

Same thing if I try to open it in the file browser:

I have double checked, and the ZIP extracts fine on windows.

P#93926 2021-06-24 00:05 ( Edited 2021-06-24 00:17)
1

Can you unzip -v ?
Have you tried copying the contents to a new zip?
Only time I can recall running into this was a compression issue or the file was zipped with a pass, but was an empty pass or something like that.

P#93927 2021-06-24 01:00
1

If you ls -l does the ZIP file look like the right size? I find that 9 times out of 10 this happens because the download never finished or what got saved as a .zip file is actually the text of an HTML error page.

P#93931 2021-06-24 01:22

Thank you for the suggestions!

@2bitchuck it looks like the file is showing just 175 bytes, so I think you might be right!

Any idea how to fix that? An alternate way to download maybe?

P#93936 2021-06-24 02:45 ( Edited 2021-06-24 02:46)

I re-downloaded and now it works!

P#93937 2021-06-24 02:52
1

Awesome, glad it turned out to be simple :)

P#93955 2021-06-24 12:22
1

After upgrade to buster on PocketCHIP for run pico-8:
1) download libcurl.so.3:
sudo wget -O /usr/lib/pico-8/libcurl.so.3 https://raw.githubusercontent.com/mackemint/PocketCHIP-buster-update/main/assets/libcurl.so.3
2) run pico with command:
sudo env LD_PRELOAD=/usr/lib/pico-8/libcurl.so.3 /usr/lib/pico-8/pico8
Without "sudo" pico-8 can't connect to BBS ((

P#94298 2021-07-01 15:18
1

For anybody still using their Pocket CHIP in 2021, I've created a script to build an installable deb from zip that Zep has provided: https://github.com/omgmog/chip-pico-8

Usage:

./build-package.sh build 0.2.2c

This will automatically download the 0.2.2c zip and create a package for "chip-pico-8" that will replace the existing NTC "chip-pico-8" from the NextThing apt repository.

P#95847 2021-08-10 19:34 ( Edited 2021-08-11 09:07)

I don’t think the license allows redistribution like this:

> Unless express consent is granted by LEXALOFFLE GAMES, you may not distribute all of or any part of THE SOFTWARE to any other party, create derivative works based on THE SOFTWARE, or sell, resell, rent or lease THE SOFTWARE.

P#95859 2021-08-10 23:30

I've updated to 0.2.2c without issue, but still get the "could not connect to bbs" when trying to perform searches. Any suggestions?

P#95866 2021-08-11 02:40

> @astat
> Without "sudo" pico-8 can't connect to BBS

You could probably get around needing to authenticate to use sudo each time by adding an entry to /etc/sudoers.d for pico8:

printf "chip ALL = (root) NOPASSWD: /usr/lib/pico-8/pico8\n" | sudo tee /etc/sudoers.d/pico8
sudo chmod 0440 /etc/sudoers.d/pico8
P#95911 2021-08-12 08:10 ( Edited 2021-08-12 08:12)

Hi @zep!
Thanks for the support for the PocketCHIP users!
Unfortunately, I'm getting a 404 error when I'm trying to download version 0.2.4

P#101377 2021-12-03 21:12

It looks like 0.2.4 is currently not available, as I can download via wget from the same URL, but just change to 0.2.3 or 0.2.2, but when I try to download 0.2.4 it fails, file not found (both in the CHIP as well as trying to click the link directly). Can anyone from Lexaloffle verify if they know about this, and if there's any fix or planned fix?
Any help is greatly appreciated.

P#101640 2021-12-06 18:25

I too am getting a 404 error when attempting to download the latest version for PocketCHIP. I'd appreciate if you would fix this link as I don't want my pocketCHIP to be affected by the vulnerability...

P#101970 2021-12-07 21:33

Can you download using your personal link for 0.2.4 chip version on this page: https://www.lexaloffle.com/games.php?page=archive

P#102057 2021-12-08 22:08

Update: it looks like the 0.2.4 file is back up, I was able to pull it properly.

P#102137 2021-12-09 01:21

I LOVE how the file ends with chip.zip
it rhymes!

P#102195 2021-12-09 16:54

How can I verify i've updated to v0.2.4?

P#102260 2021-12-10 01:21
1

@TMOSteel you can check the version number on the boot screen.

Apologies for the missing file -- I had server trouble when releasing 0.2.4 and it took a while to manually restore the file system to its original state. Everything should be back up now.

A small change in 0.2.4 PocketCHIP build: libcurl is no longer used, to reduce pesky dependency issues. Instead it calls out to wget which is pre-installed by default.

Someone asked for the code used to generate the gif, which is not very readable but here it is:

LOAD #POCKETCHIP
P#103230 2021-12-21 04:46

Hi,

I recently bought a Pocket CHIP and I am very new to it and not especially experienced in Linux in general. I got the BBS error and found this page. I have attempted to follow the instructions in the post, but when I try to execute the wget command I get an error sayin that it cannot resolve host address www.lexaloffle.com"

I am sure that I am doing something wrong, probably because there is some step assumed that I don't know to do, but I cannot figure out what it is.

P#103257 2021-12-21 17:08

@zep not for me, my pocket chip goes from black screen, chip animation, pocket chip splash screen to the desktop. No version info is displayed anywhere.

P#103338 2021-12-22 15:35

got a pocket chip today. i'll install this tomorrow.

P#103971 2022-01-01 01:14

Hi, I think the 0.2.4c file still has the 0.2.4 executable. Could that get fixed? (thanks! love that this is still supported btw!)

P#114202 2022-07-11 19:16

@rmckee78 that sounds like you're just not on wifi/network access yet. have you connected it to wifi beforehand?

@zep I probably should have tagged you for the error report above :) zip file seems to have the wrong executable?

P#114246 2022-07-12 18:19 ( Edited 2022-07-12 18:20)

OK,

I managed to get the files to download and unzip. I didn't change anything about my wifi settings, it just worked this time for some reason. When I started it up, I was still getting the 0.1.9 version, so I executed the move command in the first post. I did not get any errors, but it still loads the old version from the home screen. I can navigate to the pico8 folder in the file browser and the old version is in this folder. Also in this folder is a folder "pico-8". The new version is in that folder, I can execute it and it seems to run properly. I am very inexperienced with Linux.

I can exit pico8 using the escape key if I run it from the home screen (wrong version), but I cannot figure out how to exit it if I run it from the file browser (right version).

P#114296 2022-07-14 14:28 ( Edited 2022-07-14 14:28)

@ElGregos Your suggestion worked great. @zep Only thing seems to be that the games are using Z and X buttons (like pc) Is there a way to change back to 2 buttons on the right side of the keyboard? Running Pico-8_0.2.5c

P#117334 2022-09-13 02:50 ( Edited 2022-09-13 03:01)

@rmckee78 Scroll about half way down the first page of this thread, there is a solution to this issue from ElGregos. It worked great.

P#117336 2022-09-13 03:04
Page:

[Please log in to post a comment]

Follow Lexaloffle:          
Generated 2022-12-08 20:19:18 | 0.071s | Q:58